# API documentation for libmpg123, libout123, and libsyn123

Note: This API doc is automatically generated from the current development version that you can get via Subversion or as a daily snapshot from http://mpg123.org/snapshot. There may be differences (additions) compared to the latest stable release. See NEWS.libmpg123, NEWS.libout123, NEWS.libsyn123, and the overall NEWS file on libmpg123 versions and important changes between them.
Let me emphasize that the policy for the lib*123 family is to always stay backwards compatible -- only additions are planned (and it's not yet planned to change the plans;-).
Public Attributes | List of all members
mpg123_id3v2 Struct Reference
mpg123 metadata handling

`#include <mpg123.h>`

## Public Attributes
unsigned char | version
mpg123_string * | title
mpg123_string * | artist
mpg123_string * | album
mpg123_string * | year
mpg123_string * | genre
mpg123_string * | comment
mpg123_text * | comment_list
size_t | comments
mpg123_text * | text
size_t | texts
mpg123_text * | extra
size_t | extras
mpg123_picture * | picture
size_t | pictures

## Detailed Description

Data structure for storing IDV3v2 tags. This structure is not a direct binary mapping with the file contents. The ID3v2 text frames are allowed to contain multiple strings. So check for null bytes until you reach the mpg123_string fill. All text is encoded in UTF-8.

Definition at line 2015 of file mpg123.h.

## Member Data Documentation

## ◆ version

unsigned char mpg123_id3v2::version

3 or 4 for ID3v2.3 or ID3v2.4.

Definition at line 2017 of file mpg123.h.

## ◆ title

mpg123_string* mpg123_id3v2::title

Title string (pointer into text_list).

Definition at line 2018 of file mpg123.h.

## ◆ artist

mpg123_string* mpg123_id3v2::artist

Artist string (pointer into text_list).

Definition at line 2019 of file mpg123.h.

## ◆ album

mpg123_string* mpg123_id3v2::album

Album string (pointer into text_list).

Definition at line 2020 of file mpg123.h.

## ◆ year

mpg123_string* mpg123_id3v2::year

The year as a string (pointer into text_list).

Definition at line 2021 of file mpg123.h.

## ◆ genre

mpg123_string* mpg123_id3v2::genre

Genre String (pointer into text_list). The genre string(s) may very well need postprocessing, esp. for ID3v2.3.

Definition at line 2022 of file mpg123.h.

## ◆ comment

mpg123_string* mpg123_id3v2::comment

Pointer to last encountered comment text with empty description.

Definition at line 2023 of file mpg123.h.

## ◆ comment_list

mpg123_text* mpg123_id3v2::comment_list

Array of comments.

Definition at line 2026 of file mpg123.h.

## ◆ comments

size_t mpg123_id3v2::comments

Number of comments.

Definition at line 2027 of file mpg123.h.

## ◆ text

mpg123_text* mpg123_id3v2::text

Array of ID3v2 text fields (including USLT)

Definition at line 2028 of file mpg123.h.

## ◆ texts

size_t mpg123_id3v2::texts

Numer of text fields.

Definition at line 2029 of file mpg123.h.

## ◆ extra

mpg123_text* mpg123_id3v2::extra

The array of extra (TXXX) fields.

Definition at line 2030 of file mpg123.h.

## ◆ extras

size_t mpg123_id3v2::extras

Number of extra text (TXXX) fields.

Definition at line 2031 of file mpg123.h.

## ◆ picture

mpg123_picture* mpg123_id3v2::picture

Array of ID3v2 pictures fields (APIC). Only populated if MPG123_PICTURE flag is set!

Definition at line 2032 of file mpg123.h.

## ◆ pictures

size_t mpg123_id3v2::pictures

Number of picture (APIC) fields.

Definition at line 2034 of file mpg123.h.

The documentation for this struct was generated from the following file:

- mpg123.h